/* $Header: /home/gbsmith/projects/ResCafe/ResCafe1.4/src/RCS/RGBColorNames.java,v 1.2 2000/05/24 06:09:17 gbsmith Exp $ */

import java.util.Hashtable;

/*=======================================================================*/
/* Copyright (c) 2000 by G. Brannon Smith -- All Rights Reserved         */
/*=======================================================================*/

/*=======================================================================*/
/*
 * $Log: RGBColorNames.java,v $
 * Revision 1.2  2000/05/24 06:09:17  gbsmith
 * Added copyright notice and comment about XFree86's 'rgb.txt' as
 * the source of the colors.
 *
 * Revision 1.1  2000/05/24 00:16:08  gbsmith
 * Initial revision
 *
 */


/*=======================================================================*/
public class RGBColorNames
{
   static String rcsid = "$Id: RGBColorNames.java,v 1.2 2000/05/24 06:09:17 gbsmith Exp $";

   static Hashtable colorTable;

   static
   {
      colorTable = new Hashtable(760);

      /* These colors were taken from the 'rgb.txt' file  from XFree86-3.3.6
         and run through a perl script to put them in this form */
      colorTable.put("snow",		new Integer(0xfffffafa));
      colorTable.put("ghost white",	new Integer(0xfff8f8ff));
      colorTable.put("GhostWhite",	new Integer(0xfff8f8ff));
      colorTable.put("white smoke", 	new Integer(0xfff5f5f5));
      colorTable.put("WhiteSmoke", 	new Integer(0xfff5f5f5));
      colorTable.put("gainsboro", 	new Integer(0xffdcdcdc));
      colorTable.put("floral white", 	new Integer(0xfffffaf0));
      colorTable.put("FloralWhite", 	new Integer(0xfffffaf0));
      colorTable.put("old lace", 	new Integer(0xfffdf5e6));
      colorTable.put("OldLace", 	new Integer(0xfffdf5e6));
      colorTable.put("linen", 	 	new Integer(0xfffaf0e6));
      colorTable.put("antique white", 	new Integer(0xfffaebd7));
      colorTable.put("AntiqueWhite", 	new Integer(0xfffaebd7));
      colorTable.put("papaya whip", 	new Integer(0xffffefd5));
      colorTable.put("PapayaWhip", 	new Integer(0xffffefd5));
      colorTable.put("blanched almond", new Integer(0xffffebcd));
      colorTable.put("BlanchedAlmond", 	new Integer(0xffffebcd));
      colorTable.put("bisque", 	 	new Integer(0xffffe4c4));
      colorTable.put("peach puff", 	new Integer(0xffffdab9));
      colorTable.put("PeachPuff", 	new Integer(0xffffdab9));
      colorTable.put("navajo white", 	new Integer(0xffffdead));
      colorTable.put("NavajoWhite", 	new Integer(0xffffdead));
      colorTable.put("moccasin", 	new Integer(0xffffe4b5));
      colorTable.put("cornsilk", 	new Integer(0xfffff8dc));
      colorTable.put("ivory", 	 	new Integer(0xfffffff0));
      colorTable.put("lemon chiffon", 	new Integer(0xfffffacd));
      colorTable.put("LemonChiffon", 	new Integer(0xfffffacd));
      colorTable.put("seashell", 	new Integer(0xfffff5ee));
      colorTable.put("honeydew", 	new Integer(0xfff0fff0));
      colorTable.put("mint cream", 	new Integer(0xfff5fffa));
      colorTable.put("MintCream", 	new Integer(0xfff5fffa));
      colorTable.put("azure", 	 	new Integer(0xfff0ffff));
      colorTable.put("alice blue", 	new Integer(0xfff0f8ff));
      colorTable.put("AliceBlue", 	new Integer(0xfff0f8ff));
      colorTable.put("lavender", 	new Integer(0xffe6e6fa));
      colorTable.put("lavender blush", 	new Integer(0xfffff0f5));
      colorTable.put("LavenderBlush", 	new Integer(0xfffff0f5));
      colorTable.put("misty rose", 	new Integer(0xffffe4e1));
      colorTable.put("MistyRose", 	new Integer(0xffffe4e1));
      colorTable.put("white", 	 	new Integer(0xffffffff));
      colorTable.put("black", 	 	new Integer(0xff000000));
      colorTable.put("dark slate gray", new Integer(0xff2f4f4f));
      colorTable.put("DarkSlateGray", 	new Integer(0xff2f4f4f));
      colorTable.put("dark slate grey", new Integer(0xff2f4f4f));
      colorTable.put("DarkSlateGrey", 	new Integer(0xff2f4f4f));
      colorTable.put("dim gray", 	new Integer(0xff696969));
      colorTable.put("DimGray", 	new Integer(0xff696969));
      colorTable.put("dim grey", 	new Integer(0xff696969));
      colorTable.put("DimGrey", 	new Integer(0xff696969));
      colorTable.put("slate gray", 	new Integer(0xff708090));
      colorTable.put("SlateGray", 	new Integer(0xff708090));
      colorTable.put("slate grey", 	new Integer(0xff708090));
      colorTable.put("SlateGrey", 	new Integer(0xff708090));
      colorTable.put("light slate gray",new Integer(0xff778899));
      colorTable.put("LightSlateGray", 	new Integer(0xff778899));
      colorTable.put("light slate grey",new Integer(0xff778899));
      colorTable.put("LightSlateGrey", 	new Integer(0xff778899));
      colorTable.put("gray", 	 	new Integer(0xffbebebe));
      colorTable.put("grey", 	 	new Integer(0xffbebebe));
      colorTable.put("light grey", 	new Integer(0xffd3d3d3));
      colorTable.put("LightGrey", 	new Integer(0xffd3d3d3));
      colorTable.put("light gray", 	new Integer(0xffd3d3d3));
      colorTable.put("LightGray", 	new Integer(0xffd3d3d3));
      colorTable.put("midnight blue", 	new Integer(0xff191970));
      colorTable.put("MidnightBlue", 	new Integer(0xff191970));
      colorTable.put("navy", 	 	new Integer(0xff000080));
      colorTable.put("navy blue", 	new Integer(0xff000080));
      colorTable.put("NavyBlue", 	new Integer(0xff000080));
      colorTable.put("cornflower blue", new Integer(0xff6495ed));
      colorTable.put("CornflowerBlue", 	new Integer(0xff6495ed));
      colorTable.put("dark slate blue", new Integer(0xff483d8b));
      colorTable.put("DarkSlateBlue", 	new Integer(0xff483d8b));
      colorTable.put("slate blue", 	new Integer(0xff6a5acd));
      colorTable.put("SlateBlue", 	new Integer(0xff6a5acd));
      colorTable.put("medium slate blue", new Integer(0xff7b68ee));
      colorTable.put("MediumSlateBlue", new Integer(0xff7b68ee));
      colorTable.put("light slate blue",new Integer(0xff8470ff));
      colorTable.put("LightSlateBlue", 	new Integer(0xff8470ff));
      colorTable.put("medium blue", 	new Integer(0xff0000cd));
      colorTable.put("MediumBlue", 	new Integer(0xff0000cd));
      colorTable.put("royal blue", 	 new Integer(0xff4169e1));
      colorTable.put("RoyalBlue", 	 new Integer(0xff4169e1));
      colorTable.put("blue", 	 new Integer(0xff0000ff));
      colorTable.put("dodger blue", 	 new Integer(0xff1e90ff));
      colorTable.put("DodgerBlue", 	 new Integer(0xff1e90ff));
      colorTable.put("deep sky blue", 	 new Integer(0xff00bfff));
      colorTable.put("DeepSkyBlue", 	 new Integer(0xff00bfff));
      colorTable.put("sky blue", 	 new Integer(0xff87ceeb));
      colorTable.put("SkyBlue", 	 new Integer(0xff87ceeb));
      colorTable.put("light sky blue", 	 new Integer(0xff87cefa));
      colorTable.put("LightSkyBlue", 	 new Integer(0xff87cefa));
      colorTable.put("steel blue", 	 new Integer(0xff4682b4));
      colorTable.put("SteelBlue", 	 new Integer(0xff4682b4));
      colorTable.put("light steel blue", 	 new Integer(0xffb0c4de));
      colorTable.put("LightSteelBlue", 	 new Integer(0xffb0c4de));
      colorTable.put("light blue", 	 new Integer(0xffadd8e6));
      colorTable.put("LightBlue", 	 new Integer(0xffadd8e6));
      colorTable.put("powder blue", 	 new Integer(0xffb0e0e6));
      colorTable.put("PowderBlue", 	 new Integer(0xffb0e0e6));
      colorTable.put("pale turquoise", 	 new Integer(0xffafeeee));
      colorTable.put("PaleTurquoise", 	 new Integer(0xffafeeee));
      colorTable.put("dark turquoise", 	 new Integer(0xff00ced1));
      colorTable.put("DarkTurquoise", 	 new Integer(0xff00ced1));
      colorTable.put("medium turquoise", 	 new Integer(0xff48d1cc));
      colorTable.put("MediumTurquoise", 	 new Integer(0xff48d1cc));
      colorTable.put("turquoise", 	 new Integer(0xff40e0d0));
      colorTable.put("cyan", 	 new Integer(0xff00ffff));
      colorTable.put("light cyan", 	 new Integer(0xffe0ffff));
      colorTable.put("LightCyan", 	 new Integer(0xffe0ffff));
      colorTable.put("cadet blue", 	 new Integer(0xff5f9ea0));
      colorTable.put("CadetBlue", 	 new Integer(0xff5f9ea0));
      colorTable.put("medium aquamarine", 	 new Integer(0xff66cdaa));
      colorTable.put("MediumAquamarine", 	 new Integer(0xff66cdaa));
      colorTable.put("aquamarine", 	 new Integer(0xff7fffd4));
      colorTable.put("dark green", 	 new Integer(0xff006400));
      colorTable.put("DarkGreen", 	 new Integer(0xff006400));
      colorTable.put("dark olive green", 	 new Integer(0xff556b2f));
      colorTable.put("DarkOliveGreen", 	 new Integer(0xff556b2f));
      colorTable.put("dark sea green", 	 new Integer(0xff8fbc8f));
      colorTable.put("DarkSeaGreen", 	 new Integer(0xff8fbc8f));
      colorTable.put("sea green", 	 new Integer(0xff2e8b57));
      colorTable.put("SeaGreen", 	 new Integer(0xff2e8b57));
      colorTable.put("medium sea green", 	 new Integer(0xff3cb371));
      colorTable.put("MediumSeaGreen", 	 new Integer(0xff3cb371));
      colorTable.put("light sea green", 	 new Integer(0xff20b2aa));
      colorTable.put("LightSeaGreen", 	 new Integer(0xff20b2aa));
      colorTable.put("pale green", 	 new Integer(0xff98fb98));
      colorTable.put("PaleGreen", 	 new Integer(0xff98fb98));
      colorTable.put("spring green", 	 new Integer(0xff00ff7f));
      colorTable.put("SpringGreen", 	 new Integer(0xff00ff7f));
      colorTable.put("lawn green", 	 new Integer(0xff7cfc00));
      colorTable.put("LawnGreen", 	 new Integer(0xff7cfc00));
      colorTable.put("green", 	 new Integer(0xff00ff00));
      colorTable.put("chartreuse", 	 new Integer(0xff7fff00));
      colorTable.put("medium spring green", 	 new Integer(0xff00fa9a));
      colorTable.put("MediumSpringGreen", 	 new Integer(0xff00fa9a));
      colorTable.put("green yellow", 	 new Integer(0xffadff2f));
      colorTable.put("GreenYellow", 	 new Integer(0xffadff2f));
      colorTable.put("lime green", 	 new Integer(0xff32cd32));
      colorTable.put("LimeGreen", 	 new Integer(0xff32cd32));
      colorTable.put("yellow green", 	 new Integer(0xff9acd32));
      colorTable.put("YellowGreen", 	 new Integer(0xff9acd32));
      colorTable.put("forest green", 	 new Integer(0xff228b22));
      colorTable.put("ForestGreen", 	 new Integer(0xff228b22));
      colorTable.put("olive drab", 	 new Integer(0xff6b8e23));
      colorTable.put("OliveDrab", 	 new Integer(0xff6b8e23));
      colorTable.put("dark khaki", 	 new Integer(0xffbdb76b));
      colorTable.put("DarkKhaki", 	 new Integer(0xffbdb76b));
      colorTable.put("khaki", 	 new Integer(0xfff0e68c));
      colorTable.put("pale goldenrod", 	 new Integer(0xffeee8aa));
      colorTable.put("PaleGoldenrod", 	 new Integer(0xffeee8aa));
      colorTable.put("light goldenrod yellow", 	 new Integer(0xfffafad2));
      colorTable.put("LightGoldenrodYellow", 	 new Integer(0xfffafad2));
      colorTable.put("light yellow", 	 new Integer(0xffffffe0));
      colorTable.put("LightYellow", 	 new Integer(0xffffffe0));
      colorTable.put("yellow", 	 new Integer(0xffffff00));
      colorTable.put("gold", 	 new Integer(0xffffd700));
      colorTable.put("light goldenrod", 	 new Integer(0xffeedd82));
      colorTable.put("LightGoldenrod", 	 new Integer(0xffeedd82));
      colorTable.put("goldenrod", 	 new Integer(0xffdaa520));
      colorTable.put("dark goldenrod", 	 new Integer(0xffb8860b));
      colorTable.put("DarkGoldenrod", 	 new Integer(0xffb8860b));
      colorTable.put("rosy brown", 	 new Integer(0xffbc8f8f));
      colorTable.put("RosyBrown", 	 new Integer(0xffbc8f8f));
      colorTable.put("indian red", 	 new Integer(0xffcd5c5c));
      colorTable.put("IndianRed", 	 new Integer(0xffcd5c5c));
      colorTable.put("saddle brown", 	 new Integer(0xff8b4513));
      colorTable.put("SaddleBrown", 	 new Integer(0xff8b4513));
      colorTable.put("sienna", 	 new Integer(0xffa0522d));
      colorTable.put("peru", 	 new Integer(0xffcd853f));
      colorTable.put("burlywood", 	 new Integer(0xffdeb887));
      colorTable.put("beige", 	 new Integer(0xfff5f5dc));
      colorTable.put("wheat", 	 new Integer(0xfff5deb3));
      colorTable.put("sandy brown", 	 new Integer(0xfff4a460));
      colorTable.put("SandyBrown", 	 new Integer(0xfff4a460));
      colorTable.put("tan", 	 new Integer(0xffd2b48c));
      colorTable.put("chocolate", 	 new Integer(0xffd2691e));
      colorTable.put("firebrick", 	 new Integer(0xffb22222));
      colorTable.put("brown", 	 new Integer(0xffa52a2a));
      colorTable.put("dark salmon", 	 new Integer(0xffe9967a));
      colorTable.put("DarkSalmon", 	 new Integer(0xffe9967a));
      colorTable.put("salmon", 	 new Integer(0xfffa8072));
      colorTable.put("light salmon", 	 new Integer(0xffffa07a));
      colorTable.put("LightSalmon", 	 new Integer(0xffffa07a));
      colorTable.put("orange", 	 new Integer(0xffffa500));
      colorTable.put("dark orange", 	 new Integer(0xffff8c00));
      colorTable.put("DarkOrange", 	 new Integer(0xffff8c00));
      colorTable.put("coral", 	 new Integer(0xffff7f50));
      colorTable.put("light coral", 	 new Integer(0xfff08080));
      colorTable.put("LightCoral", 	 new Integer(0xfff08080));
      colorTable.put("tomato", 	 new Integer(0xffff6347));
      colorTable.put("orange red", 	 new Integer(0xffff4500));
      colorTable.put("OrangeRed", 	 new Integer(0xffff4500));
      colorTable.put("red", 	 new Integer(0xffff0000));
      colorTable.put("hot pink", 	 new Integer(0xffff69b4));
      colorTable.put("HotPink", 	 new Integer(0xffff69b4));
      colorTable.put("deep pink", 	 new Integer(0xffff1493));
      colorTable.put("DeepPink", 	 new Integer(0xffff1493));
      colorTable.put("pink", 	 new Integer(0xffffc0cb));
      colorTable.put("light pink", 	 new Integer(0xffffb6c1));
      colorTable.put("LightPink", 	 new Integer(0xffffb6c1));
      colorTable.put("pale violet red", 	 new Integer(0xffdb7093));
      colorTable.put("PaleVioletRed", 	 new Integer(0xffdb7093));
      colorTable.put("maroon", 	 new Integer(0xffb03060));
      colorTable.put("medium violet red", 	 new Integer(0xffc71585));
      colorTable.put("MediumVioletRed", 	 new Integer(0xffc71585));
      colorTable.put("violet red", 	 new Integer(0xffd02090));
      colorTable.put("VioletRed", 	 new Integer(0xffd02090));
      colorTable.put("magenta", 	 new Integer(0xffff00ff));
      colorTable.put("violet", 	 new Integer(0xffee82ee));
      colorTable.put("plum", 	 new Integer(0xffdda0dd));
      colorTable.put("orchid", 	 new Integer(0xffda70d6));
      colorTable.put("medium orchid", 	 new Integer(0xffba55d3));
      colorTable.put("MediumOrchid", 	 new Integer(0xffba55d3));
      colorTable.put("dark orchid", 	 new Integer(0xff9932cc));
      colorTable.put("DarkOrchid", 	 new Integer(0xff9932cc));
      colorTable.put("dark violet", 	 new Integer(0xff9400d3));
      colorTable.put("DarkViolet", 	 new Integer(0xff9400d3));
      colorTable.put("blue violet", 	 new Integer(0xff8a2be2));
      colorTable.put("BlueViolet", 	 new Integer(0xff8a2be2));
      colorTable.put("purple", 	 new Integer(0xffa020f0));
      colorTable.put("medium purple", 	 new Integer(0xff9370db));
      colorTable.put("MediumPurple", 	 new Integer(0xff9370db));
      colorTable.put("thistle", 	 new Integer(0xffd8bfd8));
      colorTable.put("snow1", 	 new Integer(0xfffffafa));
      colorTable.put("snow2", 	 new Integer(0xffeee9e9));
      colorTable.put("snow3", 	 new Integer(0xffcdc9c9));
      colorTable.put("snow4", 	 new Integer(0xff8b8989));
      colorTable.put("seashell1", 	 new Integer(0xfffff5ee));
      colorTable.put("seashell2", 	 new Integer(0xffeee5de));
      colorTable.put("seashell3", 	 new Integer(0xffcdc5bf));
      colorTable.put("seashell4", 	 new Integer(0xff8b8682));
      colorTable.put("AntiqueWhite1", 	 new Integer(0xffffefdb));
      colorTable.put("AntiqueWhite2", 	 new Integer(0xffeedfcc));
      colorTable.put("AntiqueWhite3", 	 new Integer(0xffcdc0b0));
      colorTable.put("AntiqueWhite4", 	 new Integer(0xff8b8378));
      colorTable.put("bisque1", 	 new Integer(0xffffe4c4));
      colorTable.put("bisque2", 	 new Integer(0xffeed5b7));
      colorTable.put("bisque3", 	 new Integer(0xffcdb79e));
      colorTable.put("bisque4", 	 new Integer(0xff8b7d6b));
      colorTable.put("PeachPuff1", 	 new Integer(0xffffdab9));
      colorTable.put("PeachPuff2", 	 new Integer(0xffeecbad));
      colorTable.put("PeachPuff3", 	 new Integer(0xffcdaf95));
      colorTable.put("PeachPuff4", 	 new Integer(0xff8b7765));
      colorTable.put("NavajoWhite1", 	 new Integer(0xffffdead));
      colorTable.put("NavajoWhite2", 	 new Integer(0xffeecfa1));
      colorTable.put("NavajoWhite3", 	 new Integer(0xffcdb38b));
      colorTable.put("NavajoWhite4", 	 new Integer(0xff8b795e));
      colorTable.put("LemonChiffon1", 	 new Integer(0xfffffacd));
      colorTable.put("LemonChiffon2", 	 new Integer(0xffeee9bf));
      colorTable.put("LemonChiffon3", 	 new Integer(0xffcdc9a5));
      colorTable.put("LemonChiffon4", 	 new Integer(0xff8b8970));
      colorTable.put("cornsilk1", 	 new Integer(0xfffff8dc));
      colorTable.put("cornsilk2", 	 new Integer(0xffeee8cd));
      colorTable.put("cornsilk3", 	 new Integer(0xffcdc8b1));
      colorTable.put("cornsilk4", 	 new Integer(0xff8b8878));
      colorTable.put("ivory1", 	 new Integer(0xfffffff0));
      colorTable.put("ivory2", 	 new Integer(0xffeeeee0));
      colorTable.put("ivory3", 	 new Integer(0xffcdcdc1));
      colorTable.put("ivory4", 	 new Integer(0xff8b8b83));
      colorTable.put("honeydew1", 	 new Integer(0xfff0fff0));
      colorTable.put("honeydew2", 	 new Integer(0xffe0eee0));
      colorTable.put("honeydew3", 	 new Integer(0xffc1cdc1));
      colorTable.put("honeydew4", 	 new Integer(0xff838b83));
      colorTable.put("LavenderBlush1", 	 new Integer(0xfffff0f5));
      colorTable.put("LavenderBlush2", 	 new Integer(0xffeee0e5));
      colorTable.put("LavenderBlush3", 	 new Integer(0xffcdc1c5));
      colorTable.put("LavenderBlush4", 	 new Integer(0xff8b8386));
      colorTable.put("MistyRose1", 	 new Integer(0xffffe4e1));
      colorTable.put("MistyRose2", 	 new Integer(0xffeed5d2));
      colorTable.put("MistyRose3", 	 new Integer(0xffcdb7b5));
      colorTable.put("MistyRose4", 	 new Integer(0xff8b7d7b));
      colorTable.put("azure1", 	 new Integer(0xfff0ffff));
      colorTable.put("azure2", 	 new Integer(0xffe0eeee));
      colorTable.put("azure3", 	 new Integer(0xffc1cdcd));
      colorTable.put("azure4", 	 new Integer(0xff838b8b));
      colorTable.put("SlateBlue1", 	 new Integer(0xff836fff));
      colorTable.put("SlateBlue2", 	 new Integer(0xff7a67ee));
      colorTable.put("SlateBlue3", 	 new Integer(0xff6959cd));
      colorTable.put("SlateBlue4", 	 new Integer(0xff473c8b));
      colorTable.put("RoyalBlue1", 	 new Integer(0xff4876ff));
      colorTable.put("RoyalBlue2", 	 new Integer(0xff436eee));
      colorTable.put("RoyalBlue3", 	 new Integer(0xff3a5fcd));
      colorTable.put("RoyalBlue4", 	 new Integer(0xff27408b));
      colorTable.put("blue1", 	 new Integer(0xff0000ff));
      colorTable.put("blue2", 	 new Integer(0xff0000ee));
      colorTable.put("blue3", 	 new Integer(0xff0000cd));
      colorTable.put("blue4", 	 new Integer(0xff00008b));
      colorTable.put("DodgerBlue1", 	 new Integer(0xff1e90ff));
      colorTable.put("DodgerBlue2", 	 new Integer(0xff1c86ee));
      colorTable.put("DodgerBlue3", 	 new Integer(0xff1874cd));
      colorTable.put("DodgerBlue4", 	 new Integer(0xff104e8b));
      colorTable.put("SteelBlue1", 	 new Integer(0xff63b8ff));
      colorTable.put("SteelBlue2", 	 new Integer(0xff5cacee));
      colorTable.put("SteelBlue3", 	 new Integer(0xff4f94cd));
      colorTable.put("SteelBlue4", 	 new Integer(0xff36648b));
      colorTable.put("DeepSkyBlue1", 	 new Integer(0xff00bfff));
      colorTable.put("DeepSkyBlue2", 	 new Integer(0xff00b2ee));
      colorTable.put("DeepSkyBlue3", 	 new Integer(0xff009acd));
      colorTable.put("DeepSkyBlue4", 	 new Integer(0xff00688b));
      colorTable.put("SkyBlue1", 	 new Integer(0xff87ceff));
      colorTable.put("SkyBlue2", 	 new Integer(0xff7ec0ee));
      colorTable.put("SkyBlue3", 	 new Integer(0xff6ca6cd));
      colorTable.put("SkyBlue4", 	 new Integer(0xff4a708b));
      colorTable.put("LightSkyBlue1", 	 new Integer(0xffb0e2ff));
      colorTable.put("LightSkyBlue2", 	 new Integer(0xffa4d3ee));
      colorTable.put("LightSkyBlue3", 	 new Integer(0xff8db6cd));
      colorTable.put("LightSkyBlue4", 	 new Integer(0xff607b8b));
      colorTable.put("SlateGray1", 	 new Integer(0xffc6e2ff));
      colorTable.put("SlateGray2", 	 new Integer(0xffb9d3ee));
      colorTable.put("SlateGray3", 	 new Integer(0xff9fb6cd));
      colorTable.put("SlateGray4", 	 new Integer(0xff6c7b8b));
      colorTable.put("LightSteelBlue1", 	 new Integer(0xffcae1ff));
      colorTable.put("LightSteelBlue2", 	 new Integer(0xffbcd2ee));
      colorTable.put("LightSteelBlue3", 	 new Integer(0xffa2b5cd));
      colorTable.put("LightSteelBlue4", 	 new Integer(0xff6e7b8b));
      colorTable.put("LightBlue1", 	 new Integer(0xffbfefff));
      colorTable.put("LightBlue2", 	 new Integer(0xffb2dfee));
      colorTable.put("LightBlue3", 	 new Integer(0xff9ac0cd));
      colorTable.put("LightBlue4", 	 new Integer(0xff68838b));
      colorTable.put("LightCyan1", 	 new Integer(0xffe0ffff));
      colorTable.put("LightCyan2", 	 new Integer(0xffd1eeee));
      colorTable.put("LightCyan3", 	 new Integer(0xffb4cdcd));
      colorTable.put("LightCyan4", 	 new Integer(0xff7a8b8b));
      colorTable.put("PaleTurquoise1", 	 new Integer(0xffbbffff));
      colorTable.put("PaleTurquoise2", 	 new Integer(0xffaeeeee));
      colorTable.put("PaleTurquoise3", 	 new Integer(0xff96cdcd));
      colorTable.put("PaleTurquoise4", 	 new Integer(0xff668b8b));
      colorTable.put("CadetBlue1", 	 new Integer(0xff98f5ff));
      colorTable.put("CadetBlue2", 	 new Integer(0xff8ee5ee));
      colorTable.put("CadetBlue3", 	 new Integer(0xff7ac5cd));
      colorTable.put("CadetBlue4", 	 new Integer(0xff53868b));
      colorTable.put("turquoise1", 	 new Integer(0xff00f5ff));
      colorTable.put("turquoise2", 	 new Integer(0xff00e5ee));
      colorTable.put("turquoise3", 	 new Integer(0xff00c5cd));
      colorTable.put("turquoise4", 	 new Integer(0xff00868b));
      colorTable.put("cyan1", 	 new Integer(0xff00ffff));
      colorTable.put("cyan2", 	 new Integer(0xff00eeee));
      colorTable.put("cyan3", 	 new Integer(0xff00cdcd));
      colorTable.put("cyan4", 	 new Integer(0xff008b8b));
      colorTable.put("DarkSlateGray1", 	 new Integer(0xff97ffff));
      colorTable.put("DarkSlateGray2", 	 new Integer(0xff8deeee));
      colorTable.put("DarkSlateGray3", 	 new Integer(0xff79cdcd));
      colorTable.put("DarkSlateGray4", 	 new Integer(0xff528b8b));
      colorTable.put("aquamarine1", 	 new Integer(0xff7fffd4));
      colorTable.put("aquamarine2", 	 new Integer(0xff76eec6));
      colorTable.put("aquamarine3", 	 new Integer(0xff66cdaa));
      colorTable.put("aquamarine4", 	 new Integer(0xff458b74));
      colorTable.put("DarkSeaGreen1", 	 new Integer(0xffc1ffc1));
      colorTable.put("DarkSeaGreen2", 	 new Integer(0xffb4eeb4));
      colorTable.put("DarkSeaGreen3", 	 new Integer(0xff9bcd9b));
      colorTable.put("DarkSeaGreen4", 	 new Integer(0xff698b69));
      colorTable.put("SeaGreen1", 	 new Integer(0xff54ff9f));
      colorTable.put("SeaGreen2", 	 new Integer(0xff4eee94));
      colorTable.put("SeaGreen3", 	 new Integer(0xff43cd80));
      colorTable.put("SeaGreen4", 	 new Integer(0xff2e8b57));
      colorTable.put("PaleGreen1", 	 new Integer(0xff9aff9a));
      colorTable.put("PaleGreen2", 	 new Integer(0xff90ee90));
      colorTable.put("PaleGreen3", 	 new Integer(0xff7ccd7c));
      colorTable.put("PaleGreen4", 	 new Integer(0xff548b54));
      colorTable.put("SpringGreen1", 	 new Integer(0xff00ff7f));
      colorTable.put("SpringGreen2", 	 new Integer(0xff00ee76));
      colorTable.put("SpringGreen3", 	 new Integer(0xff00cd66));
      colorTable.put("SpringGreen4", 	 new Integer(0xff008b45));
      colorTable.put("green1", 	 new Integer(0xff00ff00));
      colorTable.put("green2", 	 new Integer(0xff00ee00));
      colorTable.put("green3", 	 new Integer(0xff00cd00));
      colorTable.put("green4", 	 new Integer(0xff008b00));
      colorTable.put("chartreuse1", 	 new Integer(0xff7fff00));
      colorTable.put("chartreuse2", 	 new Integer(0xff76ee00));
      colorTable.put("chartreuse3", 	 new Integer(0xff66cd00));
      colorTable.put("chartreuse4", 	 new Integer(0xff458b00));
      colorTable.put("OliveDrab1", 	 new Integer(0xffc0ff3e));
      colorTable.put("OliveDrab2", 	 new Integer(0xffb3ee3a));
      colorTable.put("OliveDrab3", 	 new Integer(0xff9acd32));
      colorTable.put("OliveDrab4", 	 new Integer(0xff698b22));
      colorTable.put("DarkOliveGreen1", 	 new Integer(0xffcaff70));
      colorTable.put("DarkOliveGreen2", 	 new Integer(0xffbcee68));
      colorTable.put("DarkOliveGreen3", 	 new Integer(0xffa2cd5a));
      colorTable.put("DarkOliveGreen4", 	 new Integer(0xff6e8b3d));
      colorTable.put("khaki1", 	 new Integer(0xfffff68f));
      colorTable.put("khaki2", 	 new Integer(0xffeee685));
      colorTable.put("khaki3", 	 new Integer(0xffcdc673));
      colorTable.put("khaki4", 	 new Integer(0xff8b864e));
      colorTable.put("LightGoldenrod1", 	 new Integer(0xffffec8b));
      colorTable.put("LightGoldenrod2", 	 new Integer(0xffeedc82));
      colorTable.put("LightGoldenrod3", 	 new Integer(0xffcdbe70));
      colorTable.put("LightGoldenrod4", 	 new Integer(0xff8b814c));
      colorTable.put("LightYellow1", 	 new Integer(0xffffffe0));
      colorTable.put("LightYellow2", 	 new Integer(0xffeeeed1));
      colorTable.put("LightYellow3", 	 new Integer(0xffcdcdb4));
      colorTable.put("LightYellow4", 	 new Integer(0xff8b8b7a));
      colorTable.put("yellow1", 	 new Integer(0xffffff00));
      colorTable.put("yellow2", 	 new Integer(0xffeeee00));
      colorTable.put("yellow3", 	 new Integer(0xffcdcd00));
      colorTable.put("yellow4", 	 new Integer(0xff8b8b00));
      colorTable.put("gold1", 	 new Integer(0xffffd700));
      colorTable.put("gold2", 	 new Integer(0xffeec900));
      colorTable.put("gold3", 	 new Integer(0xffcdad00));
      colorTable.put("gold4", 	 new Integer(0xff8b7500));
      colorTable.put("goldenrod1", 	 new Integer(0xffffc125));
      colorTable.put("goldenrod2", 	 new Integer(0xffeeb422));
      colorTable.put("goldenrod3", 	 new Integer(0xffcd9b1d));
      colorTable.put("goldenrod4", 	 new Integer(0xff8b6914));
      colorTable.put("DarkGoldenrod1", 	 new Integer(0xffffb90f));
      colorTable.put("DarkGoldenrod2", 	 new Integer(0xffeead0e));
      colorTable.put("DarkGoldenrod3", 	 new Integer(0xffcd950c));
      colorTable.put("DarkGoldenrod4", 	 new Integer(0xff8b6508));
      colorTable.put("RosyBrown1", 	 new Integer(0xffffc1c1));
      colorTable.put("RosyBrown2", 	 new Integer(0xffeeb4b4));
      colorTable.put("RosyBrown3", 	 new Integer(0xffcd9b9b));
      colorTable.put("RosyBrown4", 	 new Integer(0xff8b6969));
      colorTable.put("IndianRed1", 	 new Integer(0xffff6a6a));
      colorTable.put("IndianRed2", 	 new Integer(0xffee6363));
      colorTable.put("IndianRed3", 	 new Integer(0xffcd5555));
      colorTable.put("IndianRed4", 	 new Integer(0xff8b3a3a));
      colorTable.put("sienna1", 	 new Integer(0xffff8247));
      colorTable.put("sienna2", 	 new Integer(0xffee7942));
      colorTable.put("sienna3", 	 new Integer(0xffcd6839));
      colorTable.put("sienna4", 	 new Integer(0xff8b4726));
      colorTable.put("burlywood1", 	 new Integer(0xffffd39b));
      colorTable.put("burlywood2", 	 new Integer(0xffeec591));
      colorTable.put("burlywood3", 	 new Integer(0xffcdaa7d));
      colorTable.put("burlywood4", 	 new Integer(0xff8b7355));
      colorTable.put("wheat1", 	 new Integer(0xffffe7ba));
      colorTable.put("wheat2", 	 new Integer(0xffeed8ae));
      colorTable.put("wheat3", 	 new Integer(0xffcdba96));
      colorTable.put("wheat4", 	 new Integer(0xff8b7e66));
      colorTable.put("tan1", 	 new Integer(0xffffa54f));
      colorTable.put("tan2", 	 new Integer(0xffee9a49));
      colorTable.put("tan3", 	 new Integer(0xffcd853f));
      colorTable.put("tan4", 	 new Integer(0xff8b5a2b));
      colorTable.put("chocolate1", 	 new Integer(0xffff7f24));
      colorTable.put("chocolate2", 	 new Integer(0xffee7621));
      colorTable.put("chocolate3", 	 new Integer(0xffcd661d));
      colorTable.put("chocolate4", 	 new Integer(0xff8b4513));
      colorTable.put("firebrick1", 	 new Integer(0xffff3030));
      colorTable.put("firebrick2", 	 new Integer(0xffee2c2c));
      colorTable.put("firebrick3", 	 new Integer(0xffcd2626));
      colorTable.put("firebrick4", 	 new Integer(0xff8b1a1a));
      colorTable.put("brown1", 	 new Integer(0xffff4040));
      colorTable.put("brown2", 	 new Integer(0xffee3b3b));
      colorTable.put("brown3", 	 new Integer(0xffcd3333));
      colorTable.put("brown4", 	 new Integer(0xff8b2323));
      colorTable.put("salmon1", 	 new Integer(0xffff8c69));
      colorTable.put("salmon2", 	 new Integer(0xffee8262));
      colorTable.put("salmon3", 	 new Integer(0xffcd7054));
      colorTable.put("salmon4", 	 new Integer(0xff8b4c39));
      colorTable.put("LightSalmon1", 	 new Integer(0xffffa07a));
      colorTable.put("LightSalmon2", 	 new Integer(0xffee9572));
      colorTable.put("LightSalmon3", 	 new Integer(0xffcd8162));
      colorTable.put("LightSalmon4", 	 new Integer(0xff8b5742));
      colorTable.put("orange1", 	 new Integer(0xffffa500));
      colorTable.put("orange2", 	 new Integer(0xffee9a00));
      colorTable.put("orange3", 	 new Integer(0xffcd8500));
      colorTable.put("orange4", 	 new Integer(0xff8b5a00));
      colorTable.put("DarkOrange1", 	 new Integer(0xffff7f00));
      colorTable.put("DarkOrange2", 	 new Integer(0xffee7600));
      colorTable.put("DarkOrange3", 	 new Integer(0xffcd6600));
      colorTable.put("DarkOrange4", 	 new Integer(0xff8b4500));
      colorTable.put("coral1", 	 new Integer(0xffff7256));
      colorTable.put("coral2", 	 new Integer(0xffee6a50));
      colorTable.put("coral3", 	 new Integer(0xffcd5b45));
      colorTable.put("coral4", 	 new Integer(0xff8b3e2f));
      colorTable.put("tomato1", 	 new Integer(0xffff6347));
      colorTable.put("tomato2", 	 new Integer(0xffee5c42));
      colorTable.put("tomato3", 	 new Integer(0xffcd4f39));
      colorTable.put("tomato4", 	 new Integer(0xff8b3626));
      colorTable.put("OrangeRed1", 	 new Integer(0xffff4500));
      colorTable.put("OrangeRed2", 	 new Integer(0xffee4000));
      colorTable.put("OrangeRed3", 	 new Integer(0xffcd3700));
      colorTable.put("OrangeRed4", 	 new Integer(0xff8b2500));
      colorTable.put("red1", 	 new Integer(0xffff0000));
      colorTable.put("red2", 	 new Integer(0xffee0000));
      colorTable.put("red3", 	 new Integer(0xffcd0000));
      colorTable.put("red4", 	 new Integer(0xff8b0000));
      colorTable.put("DeepPink1", 	 new Integer(0xffff1493));
      colorTable.put("DeepPink2", 	 new Integer(0xffee1289));
      colorTable.put("DeepPink3", 	 new Integer(0xffcd1076));
      colorTable.put("DeepPink4", 	 new Integer(0xff8b0a50));
      colorTable.put("HotPink1", 	 new Integer(0xffff6eb4));
      colorTable.put("HotPink2", 	 new Integer(0xffee6aa7));
      colorTable.put("HotPink3", 	 new Integer(0xffcd6090));
      colorTable.put("HotPink4", 	 new Integer(0xff8b3a62));
      colorTable.put("pink1", 	 new Integer(0xffffb5c5));
      colorTable.put("pink2", 	 new Integer(0xffeea9b8));
      colorTable.put("pink3", 	 new Integer(0xffcd919e));
      colorTable.put("pink4", 	 new Integer(0xff8b636c));
      colorTable.put("LightPink1", 	 new Integer(0xffffaeb9));
      colorTable.put("LightPink2", 	 new Integer(0xffeea2ad));
      colorTable.put("LightPink3", 	 new Integer(0xffcd8c95));
      colorTable.put("LightPink4", 	 new Integer(0xff8b5f65));
      colorTable.put("PaleVioletRed1", 	 new Integer(0xffff82ab));
      colorTable.put("PaleVioletRed2", 	 new Integer(0xffee799f));
      colorTable.put("PaleVioletRed3", 	 new Integer(0xffcd6889));
      colorTable.put("PaleVioletRed4", 	 new Integer(0xff8b475d));
      colorTable.put("maroon1", 	 new Integer(0xffff34b3));
      colorTable.put("maroon2", 	 new Integer(0xffee30a7));
      colorTable.put("maroon3", 	 new Integer(0xffcd2990));
      colorTable.put("maroon4", 	 new Integer(0xff8b1c62));
      colorTable.put("VioletRed1", 	 new Integer(0xffff3e96));
      colorTable.put("VioletRed2", 	 new Integer(0xffee3a8c));
      colorTable.put("VioletRed3", 	 new Integer(0xffcd3278));
      colorTable.put("VioletRed4", 	 new Integer(0xff8b2252));
      colorTable.put("magenta1", 	 new Integer(0xffff00ff));
      colorTable.put("magenta2", 	 new Integer(0xffee00ee));
      colorTable.put("magenta3", 	 new Integer(0xffcd00cd));
      colorTable.put("magenta4", 	 new Integer(0xff8b008b));
      colorTable.put("orchid1", 	 new Integer(0xffff83fa));
      colorTable.put("orchid2", 	 new Integer(0xffee7ae9));
      colorTable.put("orchid3", 	 new Integer(0xffcd69c9));
      colorTable.put("orchid4", 	 new Integer(0xff8b4789));
      colorTable.put("plum1", 	 new Integer(0xffffbbff));
      colorTable.put("plum2", 	 new Integer(0xffeeaeee));
      colorTable.put("plum3", 	 new Integer(0xffcd96cd));
      colorTable.put("plum4", 	 new Integer(0xff8b668b));
      colorTable.put("MediumOrchid1", 	 new Integer(0xffe066ff));
      colorTable.put("MediumOrchid2", 	 new Integer(0xffd15fee));
      colorTable.put("MediumOrchid3", 	 new Integer(0xffb452cd));
      colorTable.put("MediumOrchid4", 	 new Integer(0xff7a378b));
      colorTable.put("DarkOrchid1", 	 new Integer(0xffbf3eff));
      colorTable.put("DarkOrchid2", 	 new Integer(0xffb23aee));
      colorTable.put("DarkOrchid3", 	 new Integer(0xff9a32cd));
      colorTable.put("DarkOrchid4", 	 new Integer(0xff68228b));
      colorTable.put("purple1", 	 new Integer(0xff9b30ff));
      colorTable.put("purple2", 	 new Integer(0xff912cee));
      colorTable.put("purple3", 	 new Integer(0xff7d26cd));
      colorTable.put("purple4", 	 new Integer(0xff551a8b));
      colorTable.put("MediumPurple1", 	 new Integer(0xffab82ff));
      colorTable.put("MediumPurple2", 	 new Integer(0xff9f79ee));
      colorTable.put("MediumPurple3", 	 new Integer(0xff8968cd));
      colorTable.put("MediumPurple4", 	 new Integer(0xff5d478b));
      colorTable.put("thistle1", 	 new Integer(0xffffe1ff));
      colorTable.put("thistle2", 	 new Integer(0xffeed2ee));
      colorTable.put("thistle3", 	 new Integer(0xffcdb5cd));
      colorTable.put("thistle4", 	 new Integer(0xff8b7b8b));
      colorTable.put("gray0", 	 new Integer(0xff000000));
      colorTable.put("grey0", 	 new Integer(0xff000000));
      colorTable.put("gray1", 	 new Integer(0xff030303));
      colorTable.put("grey1", 	 new Integer(0xff030303));
      colorTable.put("gray2", 	 new Integer(0xff050505));
      colorTable.put("grey2", 	 new Integer(0xff050505));
      colorTable.put("gray3", 	 new Integer(0xff080808));
      colorTable.put("grey3", 	 new Integer(0xff080808));
      colorTable.put("gray4", 	 new Integer(0xff0a0a0a));
      colorTable.put("grey4", 	 new Integer(0xff0a0a0a));
      colorTable.put("gray5", 	 new Integer(0xff0d0d0d));
      colorTable.put("grey5", 	 new Integer(0xff0d0d0d));
      colorTable.put("gray6", 	 new Integer(0xff0f0f0f));
      colorTable.put("grey6", 	 new Integer(0xff0f0f0f));
      colorTable.put("gray7", 	 new Integer(0xff121212));
      colorTable.put("grey7", 	 new Integer(0xff121212));
      colorTable.put("gray8", 	 new Integer(0xff141414));
      colorTable.put("grey8", 	 new Integer(0xff141414));
      colorTable.put("gray9", 	 new Integer(0xff171717));
      colorTable.put("grey9", 	 new Integer(0xff171717));
      colorTable.put("gray10", 	 new Integer(0xff1a1a1a));
      colorTable.put("grey10", 	 new Integer(0xff1a1a1a));
      colorTable.put("gray11", 	 new Integer(0xff1c1c1c));
      colorTable.put("grey11", 	 new Integer(0xff1c1c1c));
      colorTable.put("gray12", 	 new Integer(0xff1f1f1f));
      colorTable.put("grey12", 	 new Integer(0xff1f1f1f));
      colorTable.put("gray13", 	 new Integer(0xff212121));
      colorTable.put("grey13", 	 new Integer(0xff212121));
      colorTable.put("gray14", 	 new Integer(0xff242424));
      colorTable.put("grey14", 	 new Integer(0xff242424));
      colorTable.put("gray15", 	 new Integer(0xff262626));
      colorTable.put("grey15", 	 new Integer(0xff262626));
      colorTable.put("gray16", 	 new Integer(0xff292929));
      colorTable.put("grey16", 	 new Integer(0xff292929));
      colorTable.put("gray17", 	 new Integer(0xff2b2b2b));
      colorTable.put("grey17", 	 new Integer(0xff2b2b2b));
      colorTable.put("gray18", 	 new Integer(0xff2e2e2e));
      colorTable.put("grey18", 	 new Integer(0xff2e2e2e));
      colorTable.put("gray19", 	 new Integer(0xff303030));
      colorTable.put("grey19", 	 new Integer(0xff303030));
      colorTable.put("gray20", 	 new Integer(0xff333333));
      colorTable.put("grey20", 	 new Integer(0xff333333));
      colorTable.put("gray21", 	 new Integer(0xff363636));
      colorTable.put("grey21", 	 new Integer(0xff363636));
      colorTable.put("gray22", 	 new Integer(0xff383838));
      colorTable.put("grey22", 	 new Integer(0xff383838));
      colorTable.put("gray23", 	 new Integer(0xff3b3b3b));
      colorTable.put("grey23", 	 new Integer(0xff3b3b3b));
      colorTable.put("gray24", 	 new Integer(0xff3d3d3d));
      colorTable.put("grey24", 	 new Integer(0xff3d3d3d));
      colorTable.put("gray25", 	 new Integer(0xff404040));
      colorTable.put("grey25", 	 new Integer(0xff404040));
      colorTable.put("gray26", 	 new Integer(0xff424242));
      colorTable.put("grey26", 	 new Integer(0xff424242));
      colorTable.put("gray27", 	 new Integer(0xff454545));
      colorTable.put("grey27", 	 new Integer(0xff454545));
      colorTable.put("gray28", 	 new Integer(0xff474747));
      colorTable.put("grey28", 	 new Integer(0xff474747));
      colorTable.put("gray29", 	 new Integer(0xff4a4a4a));
      colorTable.put("grey29", 	 new Integer(0xff4a4a4a));
      colorTable.put("gray30", 	 new Integer(0xff4d4d4d));
      colorTable.put("grey30", 	 new Integer(0xff4d4d4d));
      colorTable.put("gray31", 	 new Integer(0xff4f4f4f));
      colorTable.put("grey31", 	 new Integer(0xff4f4f4f));
      colorTable.put("gray32", 	 new Integer(0xff525252));
      colorTable.put("grey32", 	 new Integer(0xff525252));
      colorTable.put("gray33", 	 new Integer(0xff545454));
      colorTable.put("grey33", 	 new Integer(0xff545454));
      colorTable.put("gray34", 	 new Integer(0xff575757));
      colorTable.put("grey34", 	 new Integer(0xff575757));
      colorTable.put("gray35", 	 new Integer(0xff595959));
      colorTable.put("grey35", 	 new Integer(0xff595959));
      colorTable.put("gray36", 	 new Integer(0xff5c5c5c));
      colorTable.put("grey36", 	 new Integer(0xff5c5c5c));
      colorTable.put("gray37", 	 new Integer(0xff5e5e5e));
      colorTable.put("grey37", 	 new Integer(0xff5e5e5e));
      colorTable.put("gray38", 	 new Integer(0xff616161));
      colorTable.put("grey38", 	 new Integer(0xff616161));
      colorTable.put("gray39", 	 new Integer(0xff636363));
      colorTable.put("grey39", 	 new Integer(0xff636363));
      colorTable.put("gray40", 	 new Integer(0xff666666));
      colorTable.put("grey40", 	 new Integer(0xff666666));
      colorTable.put("gray41", 	 new Integer(0xff696969));
      colorTable.put("grey41", 	 new Integer(0xff696969));
      colorTable.put("gray42", 	 new Integer(0xff6b6b6b));
      colorTable.put("grey42", 	 new Integer(0xff6b6b6b));
      colorTable.put("gray43", 	 new Integer(0xff6e6e6e));
      colorTable.put("grey43", 	 new Integer(0xff6e6e6e));
      colorTable.put("gray44", 	 new Integer(0xff707070));
      colorTable.put("grey44", 	 new Integer(0xff707070));
      colorTable.put("gray45", 	 new Integer(0xff737373));
      colorTable.put("grey45", 	 new Integer(0xff737373));
      colorTable.put("gray46", 	 new Integer(0xff757575));
      colorTable.put("grey46", 	 new Integer(0xff757575));
      colorTable.put("gray47", 	 new Integer(0xff787878));
      colorTable.put("grey47", 	 new Integer(0xff787878));
      colorTable.put("gray48", 	 new Integer(0xff7a7a7a));
      colorTable.put("grey48", 	 new Integer(0xff7a7a7a));
      colorTable.put("gray49", 	 new Integer(0xff7d7d7d));
      colorTable.put("grey49", 	 new Integer(0xff7d7d7d));
      colorTable.put("gray50", 	 new Integer(0xff7f7f7f));
      colorTable.put("grey50", 	 new Integer(0xff7f7f7f));
      colorTable.put("gray51", 	 new Integer(0xff828282));
      colorTable.put("grey51", 	 new Integer(0xff828282));
      colorTable.put("gray52", 	 new Integer(0xff858585));
      colorTable.put("grey52", 	 new Integer(0xff858585));
      colorTable.put("gray53", 	 new Integer(0xff878787));
      colorTable.put("grey53", 	 new Integer(0xff878787));
      colorTable.put("gray54", 	 new Integer(0xff8a8a8a));
      colorTable.put("grey54", 	 new Integer(0xff8a8a8a));
      colorTable.put("gray55", 	 new Integer(0xff8c8c8c));
      colorTable.put("grey55", 	 new Integer(0xff8c8c8c));
      colorTable.put("gray56", 	 new Integer(0xff8f8f8f));
      colorTable.put("grey56", 	 new Integer(0xff8f8f8f));
      colorTable.put("gray57", 	 new Integer(0xff919191));
      colorTable.put("grey57", 	 new Integer(0xff919191));
      colorTable.put("gray58", 	 new Integer(0xff949494));
      colorTable.put("grey58", 	 new Integer(0xff949494));
      colorTable.put("gray59", 	 new Integer(0xff969696));
      colorTable.put("grey59", 	 new Integer(0xff969696));
      colorTable.put("gray60", 	 new Integer(0xff999999));
      colorTable.put("grey60", 	 new Integer(0xff999999));
      colorTable.put("gray61", 	 new Integer(0xff9c9c9c));
      colorTable.put("grey61", 	 new Integer(0xff9c9c9c));
      colorTable.put("gray62", 	 new Integer(0xff9e9e9e));
      colorTable.put("grey62", 	 new Integer(0xff9e9e9e));
      colorTable.put("gray63", 	 new Integer(0xffa1a1a1));
      colorTable.put("grey63", 	 new Integer(0xffa1a1a1));
      colorTable.put("gray64", 	 new Integer(0xffa3a3a3));
      colorTable.put("grey64", 	 new Integer(0xffa3a3a3));
      colorTable.put("gray65", 	 new Integer(0xffa6a6a6));
      colorTable.put("grey65", 	 new Integer(0xffa6a6a6));
      colorTable.put("gray66", 	 new Integer(0xffa8a8a8));
      colorTable.put("grey66", 	 new Integer(0xffa8a8a8));
      colorTable.put("gray67", 	 new Integer(0xffababab));
      colorTable.put("grey67", 	 new Integer(0xffababab));
      colorTable.put("gray68", 	 new Integer(0xffadadad));
      colorTable.put("grey68", 	 new Integer(0xffadadad));
      colorTable.put("gray69", 	 new Integer(0xffb0b0b0));
      colorTable.put("grey69", 	 new Integer(0xffb0b0b0));
      colorTable.put("gray70", 	 new Integer(0xffb3b3b3));
      colorTable.put("grey70", 	 new Integer(0xffb3b3b3));
      colorTable.put("gray71", 	 new Integer(0xffb5b5b5));
      colorTable.put("grey71", 	 new Integer(0xffb5b5b5));
      colorTable.put("gray72", 	 new Integer(0xffb8b8b8));
      colorTable.put("grey72", 	 new Integer(0xffb8b8b8));
      colorTable.put("gray73", 	 new Integer(0xffbababa));
      colorTable.put("grey73", 	 new Integer(0xffbababa));
      colorTable.put("gray74", 	 new Integer(0xffbdbdbd));
      colorTable.put("grey74", 	 new Integer(0xffbdbdbd));
      colorTable.put("gray75", 	 new Integer(0xffbfbfbf));
      colorTable.put("grey75", 	 new Integer(0xffbfbfbf));
      colorTable.put("gray76", 	 new Integer(0xffc2c2c2));
      colorTable.put("grey76", 	 new Integer(0xffc2c2c2));
      colorTable.put("gray77", 	 new Integer(0xffc4c4c4));
      colorTable.put("grey77", 	 new Integer(0xffc4c4c4));
      colorTable.put("gray78", 	 new Integer(0xffc7c7c7));
      colorTable.put("grey78", 	 new Integer(0xffc7c7c7));
      colorTable.put("gray79", 	 new Integer(0xffc9c9c9));
      colorTable.put("grey79", 	 new Integer(0xffc9c9c9));
      colorTable.put("gray80", 	 new Integer(0xffcccccc));
      colorTable.put("grey80", 	 new Integer(0xffcccccc));
      colorTable.put("gray81", 	 new Integer(0xffcfcfcf));
      colorTable.put("grey81", 	 new Integer(0xffcfcfcf));
      colorTable.put("gray82", 	 new Integer(0xffd1d1d1));
      colorTable.put("grey82", 	 new Integer(0xffd1d1d1));
      colorTable.put("gray83", 	 new Integer(0xffd4d4d4));
      colorTable.put("grey83", 	 new Integer(0xffd4d4d4));
      colorTable.put("gray84", 	 new Integer(0xffd6d6d6));
      colorTable.put("grey84", 	 new Integer(0xffd6d6d6));
      colorTable.put("gray85", 	 new Integer(0xffd9d9d9));
      colorTable.put("grey85", 	 new Integer(0xffd9d9d9));
      colorTable.put("gray86", 	 new Integer(0xffdbdbdb));
      colorTable.put("grey86", 	 new Integer(0xffdbdbdb));
      colorTable.put("gray87", 	 new Integer(0xffdedede));
      colorTable.put("grey87", 	 new Integer(0xffdedede));
      colorTable.put("gray88", 	 new Integer(0xffe0e0e0));
      colorTable.put("grey88", 	 new Integer(0xffe0e0e0));
      colorTable.put("gray89", 	 new Integer(0xffe3e3e3));
      colorTable.put("grey89", 	 new Integer(0xffe3e3e3));
      colorTable.put("gray90", 	 new Integer(0xffe5e5e5));
      colorTable.put("grey90", 	 new Integer(0xffe5e5e5));
      colorTable.put("gray91", 	 new Integer(0xffe8e8e8));
      colorTable.put("grey91", 	 new Integer(0xffe8e8e8));
      colorTable.put("gray92", 	 new Integer(0xffebebeb));
      colorTable.put("grey92", 	 new Integer(0xffebebeb));
      colorTable.put("gray93", 	 new Integer(0xffededed));
      colorTable.put("grey93", 	 new Integer(0xffededed));
      colorTable.put("gray94", 	 new Integer(0xfff0f0f0));
      colorTable.put("grey94", 	 new Integer(0xfff0f0f0));
      colorTable.put("gray95", 	 new Integer(0xfff2f2f2));
      colorTable.put("grey95", 	 new Integer(0xfff2f2f2));
      colorTable.put("gray96", 	 new Integer(0xfff5f5f5));
      colorTable.put("grey96", 	 new Integer(0xfff5f5f5));
      colorTable.put("gray97", 	 new Integer(0xfff7f7f7));
      colorTable.put("grey97", 	 new Integer(0xfff7f7f7));
      colorTable.put("gray98", 	 new Integer(0xfffafafa));
      colorTable.put("grey98", 	 new Integer(0xfffafafa));
      colorTable.put("gray99", 	 new Integer(0xfffcfcfc));
      colorTable.put("grey99", 	 new Integer(0xfffcfcfc));
      colorTable.put("gray100", 	 new Integer(0xffffffff));
      colorTable.put("grey100", 	 new Integer(0xffffffff));
      colorTable.put("dark grey", 	 new Integer(0xffa9a9a9));
      colorTable.put("DarkGrey", 	 new Integer(0xffa9a9a9));
      colorTable.put("dark gray", 	 new Integer(0xffa9a9a9));
      colorTable.put("DarkGray", 	 new Integer(0xffa9a9a9));
      colorTable.put("dark blue", 	 new Integer(0xff00008b));
      colorTable.put("DarkBlue", 	 new Integer(0xff00008b));
      colorTable.put("dark cyan", 	 new Integer(0xff008b8b));
      colorTable.put("DarkCyan", 	 new Integer(0xff008b8b));
      colorTable.put("dark magenta", 	 new Integer(0xff8b008b));
      colorTable.put("DarkMagenta", 	 new Integer(0xff8b008b));
      colorTable.put("dark red", 	 new Integer(0xff8b0000));
      colorTable.put("DarkRed", 	 new Integer(0xff8b0000));
      colorTable.put("light green", 	 new Integer(0xff90ee90));
      colorTable.put("LightGreen", 	 new Integer(0xff90ee90));
   }

   /*--------------------------------------------------------------------*/
   public static int colorName2RGB(String colorName)
   {
      Integer outval =  (Integer)colorTable.get(colorName);
      if(outval == null) return 0xff000000; // Black
      else return outval.intValue();
   }
}
